Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL
Interface SwitchExp

All Superinterfaces:
  ImperativeExpression

All Known Implementing Classes:
  SwitchExpImpl

    public interface SwitchExp

extends ImperativeExpression

A representation of the model object 'Switch Exp'.

The following features are supported:

- `Alternative Part`
- `Else Part`

See Also:
  `ImperativeOCLPackage.getSwitchExp()`

Method Summary
`` | `getAlternativePart()` Returns the value of the 'Alternative Part' containment reference list.
`OCLExpression` | `getElsePart()` Returns the value of the 'Else Part' containment reference
`void` | `setElsePart(OCLExpression value)` Sets the value of the '`Else Part`' containment reference

Method Detail

### getAlternativePart

     getAlternativePart()

  Returns the value of the 'Alternative Part' containment reference list. The list contents are of type `AltExp`.

  If the meaning of the 'Alternative Part' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Alternative Part' containment reference list.
  See Also:
    `ImperativeOCLPackage.getSwitchExp_AlternativePart()`

### getElsePart

    OCLExpression getElsePart()

  Returns the value of the 'Else Part' containment reference.

  If the meaning of the 'Else Part' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Else Part' containment reference.
  See Also:
    `setElsePart(OCLExpression)`, `ImperativeOCLPackage.getSwitchExp_ElsePart()`

### setElsePart

    void setElsePart(OCLExpression value)

  Sets the value of the '`Else Part`' containment reference.

  Parameters:
    `value` - the new value of the 'Else Part' containment reference.
  See Also:
    `getElsePart()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD